#include <iostream>

using namespace std;

class Vehicle {
public:
  virtual string getFuel() = 0;
};

class Car : public Vehicle {
public:
  virtual string getFuel()
    { return "gasoline"; }
};

class Truck : public Vehicle {
public:
  virtual string getFuel()
    { return "diesel"; }
};

void printFuel(Vehicle &v) {
  cout << v.getFuel() << endl;
}

int main(int, char **) {
  Car car;
  Truck truck;
  printFuel(car);
  printFuel(truck);
  return 0;
}

