#include <algorithm>
#include <function>
#include <assert>
#include <iostream>

using namespace std;

// Use the absolute value (magnitude) of the
// number.  For example:  3 < -5 because abs(3) < abs(-5)
struct magnitude {
  bool operator()(const int& x, const int& y)
    const
    { return abs(x) < abs(y); }
};


int main(int, char **) {
  int a[10];
  int i;

  for(i = 0; i < 10; ++i)
    a[i] = i * (i % 2 ? -1 : 1);
  random_shuffle(&a[0], &a[10]);

  // sort into special order:
  sort(&a[0], &a[10], magnitude());

  // Should be: 0,-1,2,-3,4,-5,6,-7,8,-9,
  for(i = 0; i < 10; ++i)
    cout << a[i] << ",";
  cout << endl;

  return 0;
}

